@charset "UTF-8";

* {
    padding: 0;
    margin: 0;
    outline: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

a {
    text-decoration: none;
}

html {
    -webkit-text-size-adjust: none;
    touch-action: manipulation;
}

html,
body {
    height: 100%;
}

body {
    font-family: var(--main-font);
    background: #000;
    touch-action: pan-x pan-y;
}

/*--- Класс для скрытия элементов  ---*/
.hidden {
	display: none !important;
}


/*--- Спиннер на загрузке НАЧАЛО ---*/
.loaderback {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: 160;
    background: rgba(255, 255, 255, 0.95);
    display: flex;
    justify-content: center;
    align-items: center;
}

.loader {
    border: 8px solid #f3f3f3;
    border-top: 8px solid var(--main-color);
    border-radius: 50%;
    width: 80px;
    height: 80px;
    animation: spin 1s linear infinite;
    justify-content: center;
    align-items: center;
}

.loader__text {
    position: absolute;
    top: 60%;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
/*--- Спиннер на загрузке КОНЕЦ ---*/

/*--- Основные контейнеры НАЧАЛО ---*/
.mp_container {
    height: 100%;
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
    background: transparent;
}

.mp_component {
    position: absolute;
    overflow: hidden;
    height: 100%;
    width: 100%;
	top: 0;
    left: 0;
    background: transparent;
    user-select: none;
    display: flex;
    justify-content: center;
    flex-direction: row;
}

.video_components {
    display: flex;
    flex: 1;
    position: relative;
}
/*--- Основные контейнеры КОНЕЦ ---*/

/*--- фон НАЧАЛО ---*/
.canvas {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    filter: blur(20px);
}
/*--- фон КОНЕЦ ---*/

/*--- видеоплеер НАЧАЛО ---*/
#video {
    position: absolute;
    top: 50%;
    left: 49.9%;
    transform: translate(-50%, -50%);
    height: 100%;
    width: auto;
    cursor: pointer;
    object-fit: cover;
}

@media (max-aspect-ratio: 16/9) {
	#video{
		max-width: calc(100vh * (9/16));
        width: 100% !important;
        height: auto !important;
    }
}
/*--- видеоплеер КОНЕЦ ---*/

/*--- кнопки Play/Pause НАЧАЛО ---*/
button#play img,
button#pause img {
    width: 86px;
    height: 86px;
    object-fit: contain;
}

.play_pause_btn {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    cursor: pointer;
    opacity: 0.8;
    transition: all 0.3s ease 0s;
    background: none;
    border: none;
    padding: 0px;
    outline: none;
    z-index: 4;
}

.play_pause_btn:hover {
    opacity: 0.9;
    transform: translate(-50%, -50%) scale(1.15);
}
/*--- кнопки Play/Pause КОНЕЦ ---*/

/*--- целевые кнопки НАЧАЛО ---*/
.btns_container {
    position: absolute;
    bottom: 30px;
    display: flex;
    flex: 1;
    align-self: center;
    align-items: center;
    justify-content: center;
    flex-direction: column-reverse;
    z-index: 3;
    width: 100%;
}

.btns_component {
    display: flex;
    flex-direction: column;
    max-height: 100%;
    -webkit-box-align: center;
    align-items: center;
    transition: all 0.3s ease-in-out 0s;
    padding: 0px;
    position: relative;
}

.target_btn {
    position: relative;
    height: auto;
    border-radius: 10px;
    display: flex;
    -webkit-box-flex: 2;
    flex-grow: 2;
    -webkit-box-pack: start;
    justify-content: center;
    border: 2px solid #FFFFFF;
    padding: 8px 16px;
	background: rgba(0, 0, 0, 0.5);
    outline: none;
    font-weight: 400;
    -webkit-box-align: center;
    align-items: center;
    font-size: 16px;
    line-height: 1.3em;
    text-transform: uppercase;
    color: #FFFFFF;
    transition: background-color 0.4s ease 0s;
    pointer-events: initial;
    width: 100%;
    margin: 0 0 10px 0;
    font-family: 'Main Font';
}

.target_btn:last-child {
    margin-bottom: 0;
}

.target_btn:hover {
    opacity: 1 !important;
	background: rgba(0, 0, 0, 1);
    transition: all ease 0.2s !important;
}
/*--- целевые кнопки КОНЕЦ ---*/

/*--- кнопки управления плеером НАЧАЛО ---*/
.controls_container {
    position: absolute;
    right: 0px;
    bottom: 30px;
	width: 50px;
	height: 180px;
    padding-right: 20px;
    display: flex;
    justify-content: space-between;
	-webkit-box-align: end;
    align-items: end;
    -webkit-box-pack: end;
    flex-direction: column-reverse;
	
    z-index: 5;
    pointer-events: auto;
	user-select: none;
	outline: none;
}

.controls_btn {
    cursor: pointer;
    border: none;
    outline: none;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
    background: none;
    fill: white;
    padding: 0px;
	opacity: 1;
    transform: perspective(1000px) translateZ(0px);
    user-select: none;
    z-index: 5;
}

.controls_btn:hover {
    transform: perspective(1000px) translateZ(50px);
}

.controls_btn_text {
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
    cursor: pointer;
    width: 34px;
    height: 26px;
    border-radius: 6px;
    outline: none;
    color: rgb(255, 255, 255);
    border: 2px solid rgb(255, 255, 255);
    transition: all 0.2s ease-in-out 0s;
    letter-spacing: -0.5px;
    font-size: 14px;
    font-weight: 700;
    background: rgba(0, 0, 0, 0.2);
    margin: 0px;
    padding: 0px;
    font-family: sans-serif;
    user-select: none;
}
/*--- кнопки управления плеером КОНЕЦ ---*/

/*--- Progress bar НАЧАЛО ---*/
.progress_container {
    cursor: pointer;
    border: none;
    height: 30px;
    width: 100%;
    outline: none;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    flex-direction: row;
    -webkit-box-pack: justify;
    justify-content: space-between;
    position: absolute;
    bottom: 0px;
    left: 0px;
    overflow: hidden;
    z-index: 99;
    transition: height 0.2s ease-out 0s;
}

.progress_component {
    width: 100%;
    max-height: 5px;
	margin-top: 20px;
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: 0px;
    transition: height 0.2s ease-out 0s;
    background: rgba(255, 255, 255, 0.2);
	
}

.progress_line {
    background: linear-gradient(270deg, #E31235 0%, #FF4B49 100%);
    width: 0px;
    height: 100%;
    max-height: 5px;
    box-shadow: rgba(0, 0, 0, 0.1) 2px 0px 4px;
    transition: height 0.2s ease-out 0s;
    pointer-events: none;
}

.progress_point {
	content: '';
	display: block;
	position: absolute;
	left: 0;
	top: -4px;
	background: #E31235;
	width: 12px;
	height: 12px;
	border-radius: 12px;
	z-index: 2;
	pointer-events: none;
	user-select: none;
}

.progress_time {
	display: block;
	position: absolute;
	left: 0;
	top: -22px;
	z-index: 2;
	color: #FFF;
	pointer-events: none;
	user-select: none;
}
/*--- Progress bar КОНЕЦ ---*/

/*--- модальное окно НАЧАЛО ---*/
.modal-window {
  position: fixed;
  background-color: rgba(255, 255, 255, 0.5);
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 999;
  visibility: visible;
  opacity: 1;
  transition: all 0.3s;
  &:target {
    visibility: visible;
    opacity: 1;
    pointer-events: auto;
  }
  & > div {
    width: 400px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 1em;
    background: rgba(0, 0, 0, 0.5);
	border-radius: 10px;
	color: #FFFFFF;
  }
}

.modal-close {
  color: #AAAAAA;
  line-height: 50px;
  font-size: 150%;
  position: absolute;
  right: 0;
  text-align: center;
  top: 0;
  width: 70px;
  text-decoration: none;
  &:hover {
    color: #FFFFFF;
  }
}

.modal-text {
  text-align: center;
  margin: 20px 0;
}
/*--- модальное окно КОНЕЦ ---*/
